<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.mainWindow.usbTableModel</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1mainWindow_1_1usbTableModel.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1mainWindow_1_1usbTableModel-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.mainWindow.usbTableModel</div>  </div>
</div><!--header-->
<div class="contents">

<p>Un modèle de table pour des séries de clés USB.  
 <a href="classsrc_1_1mainWindow_1_1usbTableModel.html#details">Plus de détails...</a></p>
<div class="dynheader">
Graphe d'héritage de src.mainWindow.usbTableModel:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mainWindow_1_1usbTableModel__inherit__graph.png" border="0" usemap="#src_8mainWindow_8usbTableModel_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8mainWindow_8usbTableModel_inherit__map" id="src_8mainWindow_8usbTableModel_inherit__map">
<area shape="rect" title="Un modèle de table pour des séries de clés USB." alt="" coords="5,80,213,107"/>
<area shape="rect" href="classQAbstractTableModel.html" title=" " alt="" coords="35,5,183,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.mainWindow.usbTableModel:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mainWindow_1_1usbTableModel__coll__graph.png" border="0" usemap="#src_8mainWindow_8usbTableModel_coll__map" alt="Collaboration graph"/></div>
<map name="src_8mainWindow_8usbTableModel_coll__map" id="src_8mainWindow_8usbTableModel_coll__map">
<area shape="rect" title="Un modèle de table pour des séries de clés USB." alt="" coords="5,80,213,107"/>
<area shape="rect" href="classQAbstractTableModel.html" title=" " alt="" coords="35,5,183,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a43a0d28976c7266f26fb938ec5ce99b7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#a43a0d28976c7266f26fb938ec5ce99b7">__init__</a> (self, parent=None, <a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#adda1efe7c9c4eabb3875111ba2eaaffc">header</a>=[], <a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#af75bcc59427b681e194b052b4af55bea">donnees</a>=None)</td></tr>
<tr class="separator:a43a0d28976c7266f26fb938ec5ce99b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7893f97dc7ced3179ba94fc69ea1ec4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#ae7893f97dc7ced3179ba94fc69ea1ec4">updateOwnerColumn</a> (self)</td></tr>
<tr class="memdesc:ae7893f97dc7ced3179ba94fc69ea1ec4"><td class="mdescLeft">&#160;</td><td class="mdescRight">force la mise à jour de la colonne des propriétaires  <a href="classsrc_1_1mainWindow_1_1usbTableModel.html#ae7893f97dc7ced3179ba94fc69ea1ec4">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae7893f97dc7ced3179ba94fc69ea1ec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed566a1bc37e6fe015871f90656590dc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#aed566a1bc37e6fe015871f90656590dc">rowCount</a> (self, parent)</td></tr>
<tr class="memdesc:aed566a1bc37e6fe015871f90656590dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">@parent un QModelIndex  <a href="classsrc_1_1mainWindow_1_1usbTableModel.html#aed566a1bc37e6fe015871f90656590dc">Plus de détails...</a><br /></td></tr>
<tr class="separator:aed566a1bc37e6fe015871f90656590dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b6214e755d84236ccaf3c79c1e91e6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#a63b6214e755d84236ccaf3c79c1e91e6">columnCount</a> (self, parent)</td></tr>
<tr class="memdesc:a63b6214e755d84236ccaf3c79c1e91e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">@parent un QModelIndex  <a href="classsrc_1_1mainWindow_1_1usbTableModel.html#a63b6214e755d84236ccaf3c79c1e91e6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a63b6214e755d84236ccaf3c79c1e91e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af66311807363516faaa77bcdd76c0b70"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#af66311807363516faaa77bcdd76c0b70">setData</a> (self, index, value, role)</td></tr>
<tr class="separator:af66311807363516faaa77bcdd76c0b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9572419bb70d3bdb868cc98c9e341137"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#a9572419bb70d3bdb868cc98c9e341137">partition</a> (self, index)</td></tr>
<tr class="separator:a9572419bb70d3bdb868cc98c9e341137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7acb6fa94ba24498f59fd421f09d3452"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#a7acb6fa94ba24498f59fd421f09d3452">data</a> (self, index, role)</td></tr>
<tr class="separator:a7acb6fa94ba24498f59fd421f09d3452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fd6bf6da9acfe7a2faf2eef3f5d3dbb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#a0fd6bf6da9acfe7a2faf2eef3f5d3dbb">headerData</a> (self, section, orientation, role)</td></tr>
<tr class="separator:a0fd6bf6da9acfe7a2faf2eef3f5d3dbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e008d9ab3f0daf8f326962e6d7b1f89"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#a7e008d9ab3f0daf8f326962e6d7b1f89">sort</a> (self, Ncol, order=Qt.DescendingOrder)</td></tr>
<tr class="memdesc:a7e008d9ab3f0daf8f326962e6d7b1f89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort table by given column number.  <a href="classsrc_1_1mainWindow_1_1usbTableModel.html#a7e008d9ab3f0daf8f326962e6d7b1f89">Plus de détails...</a><br /></td></tr>
<tr class="separator:a7e008d9ab3f0daf8f326962e6d7b1f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:adda1efe7c9c4eabb3875111ba2eaaffc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#adda1efe7c9c4eabb3875111ba2eaaffc">header</a></td></tr>
<tr class="separator:adda1efe7c9c4eabb3875111ba2eaaffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af75bcc59427b681e194b052b4af55bea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#af75bcc59427b681e194b052b4af55bea">donnees</a></td></tr>
<tr class="separator:af75bcc59427b681e194b052b4af55bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b91d4abd1d988838e51a8c2e15018ed"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html#a3b91d4abd1d988838e51a8c2e15018ed">pere</a></td></tr>
<tr class="separator:a3b91d4abd1d988838e51a8c2e15018ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Un modèle de table pour des séries de clés USB. </p>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00718">718</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a43a0d28976c7266f26fb938ec5ce99b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43a0d28976c7266f26fb938ec5ce99b7">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>header</em> = <code>[]</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>donnees</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>un <a class="el" href="classQObject.html">QObject</a> </td></tr>
    <tr><td class="paramname">header</td><td>les en-têtes de colonnes </td></tr>
    <tr><td class="paramname">donnees</td><td>les données </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00725">725</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a63b6214e755d84236ccaf3c79c1e91e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63b6214e755d84236ccaf3c79c1e91e6">&#9670;&nbsp;</a></span>columnCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.columnCount </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>@parent un QModelIndex </p>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00748">748</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="a7acb6fa94ba24498f59fd421f09d3452"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7acb6fa94ba24498f59fd421f09d3452">&#9670;&nbsp;</a></span>data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.data </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>role</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00765">765</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="a0fd6bf6da9acfe7a2faf2eef3f5d3dbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fd6bf6da9acfe7a2faf2eef3f5d3dbb">&#9670;&nbsp;</a></span>headerData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.headerData </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>section</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>role</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00800">800</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="a9572419bb70d3bdb868cc98c9e341137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9572419bb70d3bdb868cc98c9e341137">&#9670;&nbsp;</a></span>partition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.partition </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>in QModelIndex </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>la partition pointée par index </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00762">762</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="aed566a1bc37e6fe015871f90656590dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed566a1bc37e6fe015871f90656590dc">&#9670;&nbsp;</a></span>rowCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.rowCount </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>@parent un QModelIndex </p>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00742">742</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="af66311807363516faaa77bcdd76c0b70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af66311807363516faaa77bcdd76c0b70">&#9670;&nbsp;</a></span>setData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.setData </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>role</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00751">751</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="a7e008d9ab3f0daf8f326962e6d7b1f89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e008d9ab3f0daf8f326962e6d7b1f89">&#9670;&nbsp;</a></span>sort()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.sort </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>Ncol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>order</em> = <code>Qt.DescendingOrder</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sort table by given column number. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">Ncol</td><td>numéro de la colonne de tri </td></tr>
    <tr><td class="paramname">order</td><td>l'odre de tri, Qt.DescendingOrder par défaut </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00811">811</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="ae7893f97dc7ced3179ba94fc69ea1ec4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7893f97dc7ced3179ba94fc69ea1ec4">&#9670;&nbsp;</a></span>updateOwnerColumn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.usbTableModel.updateOwnerColumn </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>force la mise à jour de la colonne des propriétaires </p>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00734">734</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="af75bcc59427b681e194b052b4af55bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af75bcc59427b681e194b052b4af55bea">&#9670;&nbsp;</a></span>donnees</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.mainWindow.usbTableModel.donnees</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00728">728</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="adda1efe7c9c4eabb3875111ba2eaaffc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adda1efe7c9c4eabb3875111ba2eaaffc">&#9670;&nbsp;</a></span>header</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.mainWindow.usbTableModel.header</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00727">727</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<a id="a3b91d4abd1d988838e51a8c2e15018ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b91d4abd1d988838e51a8c2e15018ed">&#9670;&nbsp;</a></span>pere</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.mainWindow.usbTableModel.pere</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00729">729</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="mainWindow_8py_source.html">mainWindow.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1mainWindow.html">mainWindow</a></li><li class="navelem"><a class="el" href="classsrc_1_1mainWindow_1_1usbTableModel.html">usbTableModel</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
